QuantLib: BachelierYoYInflationCouponPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Member Functions | List of all members
BachelierYoYInflationCouponPricer Class Reference

Bachelier-formula pricer for capped/floored yoy inflation coupons. More...

`#include <ql/cashflows/inflationcouponpricer.hpp>`

Inheritance diagram for BachelierYoYInflationCouponPricer:
[legend]

## Public Member Functions
QL_DEPRECATED | BachelierYoYInflationCouponPricer ()
| BachelierYoYInflationCouponPricer (const Handle< YieldTermStructure > &nominalTermStructure)
| BachelierYoYInflationCouponPricer (const Handle< YoYOptionletVolatilitySurface > &capletVol, const Handle< YieldTermStructure > &nominalTermStructure)
Public Member Functions inherited from YoYInflationCouponPricer
QL_DEPRECATED | YoYInflationCouponPricer ()
| YoYInflationCouponPricer (const Handle< YieldTermStructure > &nominalTermStructure)
| YoYInflationCouponPricer (const Handle< YoYOptionletVolatilitySurface > &capletVol, const Handle< YieldTermStructure > &nominalTermStructure)
virtual Handle< YoYOptionletVolatilitySurface > | capletVolatility () const
virtual Handle< YieldTermStructure > | nominalTermStructure () const
virtual void | setCapletVolatility (const Handle< YoYOptionletVolatilitySurface > &capletVol)
virtual Real | swapletPrice () const
virtual Rate | swapletRate () const
virtual Real | capletPrice (Rate effectiveCap) const
virtual Rate | capletRate (Rate effectiveCap) const
virtual Real | floorletPrice (Rate effectiveFloor) const
virtual Rate | floorletRate (Rate effectiveFloor) const
virtual void | initialize (const InflationCoupon &)
Public Member Functions inherited from InflationCouponPricer
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | optionletPriceImp (Option::Type, Real strike, Real forward, Real stdDev) const
Protected Member Functions inherited from YoYInflationCouponPricer
virtual Real | optionletPrice (Option::Type optionType, Real effStrike) const
virtual Real | optionletRate (Option::Type optionType, Real effStrike) const
virtual Rate | adjustedFixing (Rate fixing=Null< Rate >()) const

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from YoYInflationCouponPricer
Handle< YoYOptionletVolatilitySurface > | capletVol_
| data
Handle< YieldTermStructure > | nominalTermStructure_
const YoYInflationCoupon * | coupon_
Real | gearing_
Spread | spread_
Real | discount_
Protected Attributes inherited from InflationCouponPricer
Handle< YieldTermStructure > | rateCurve_
Date | paymentDate_

## Detailed Description

Bachelier-formula pricer for capped/floored yoy inflation coupons.

## Constructor & Destructor Documentation

## ◆ BachelierYoYInflationCouponPricer()

QL_DEPRECATED BachelierYoYInflationCouponPricer | ( |  | ) |

Deprecated:
  Use one of the other constructors. Deprecated in version 1.19.

## Member Function Documentation

## ◆ optionletPriceImp()

Real optionletPriceImp | ( | Option::Type | ,
|  | Real | strike,
|  | Real | forward,
|  | Real | stdDev
| ) |  | const
| protectedvirtual

Derived classes usually only need to implement this.

The name of the method is misleading. This actually returns the rate of the optionlet (so not discounted and not accrued).

Reimplemented from YoYInflationCouponPricer.